Bug 143005 - sysreport does not gather iptables/ipchains stats correctly
sysreport does not gather iptables/ipchains stats correctly
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sysreport (Show other bugs)
2.1
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-15 12:58 EST by Vinu K
Modified: 2009-02-11 04:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 04:26:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix sysreport code which checks for ipchains/iptables stats (132 bytes, patch)
2004-12-15 13:01 EST, Vinu K
no flags Details | Diff

  None (edit)
Description Vinu K 2004-12-15 12:58:51 EST
Description of problem:
The part of the code which extracts ipchains or iptables stats 
always fails.  Sysreport does not create an appropriate file
'ipchains' or 'iptables' in the tar file generated by it.

Version-Release number of selected component (if applicable):
sysreport-1.3.7.0-1

How reproducible:
Always

Steps to Reproduce:
1. run sysreport
2. check 'ipchains' / 'iptables' file in the tar file generated by
sysreport
  
Actual results:
creates 'ipchains' file when no firewall is running
creates 'iptables' file when ipchains is running
creates 'ipchains' file when iptables is running

Expected results:
create 'iptables' file when no firewall is running
create 'ipchains' file when ipchains is running
create 'iptables' file when iptables is running

Additional info:
Comment 1 Vinu K 2004-12-15 13:01:32 EST
Created attachment 108639 [details]
Patch to fix sysreport code which checks for ipchains/iptables stats
Comment 2 Vinu K 2004-12-15 13:02:34 EST
Check bugzilla bug#142992 for similar bug on RHEL3
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=142992
Comment 3 Ngo Than 2005-05-10 05:39:04 EDT
it's now fixed in CVS. The new sysreport-1.3.7.0-3 will include this fix.
Thanks for your report.
Comment 4 Ngo Than 2009-02-11 04:26:20 EST
RHEL2 is EOL, i just want to close it.

Note You need to log in before you can comment on or make changes to this bug.